JsonFormat.Value (Jackson-annotations 2.5.0 API)
Date: 2015-01-01

com.fasterxml.jackson.annotation

## Class JsonFormat.Value

- java.lang.Object
- - com.fasterxml.jackson.annotation.JsonFormat.Value

- Enclosing class:
    JsonFormat

      public static class JsonFormat.Value
      extends Object

  Helper class used to contain information from a single `JsonFormat` annotation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonFormat.Value()`
    `JsonFormat.Value(JsonFormat ann)`
    `JsonFormat.Value(String p, JsonFormat.Shape sh, Locale l, String tzStr, TimeZone tz)`
    `JsonFormat.Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz)`
    `JsonFormat.Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locale` | `getLocale()`
    `String` | `getPattern()`
    `JsonFormat.Shape` | `getShape()`
    `TimeZone` | `getTimeZone()`
    `boolean` | `hasLocale()`
    `boolean` | `hasPattern()`
    `boolean` | `hasShape()`
    `boolean` | `hasTimeZone()`
    `String` | `timeZoneAsString()` Alternate access (compared to `getTimeZone()`) which is useful when caller just wants time zone id to convert, but not as JDK provided `TimeZone`
    `JsonFormat.Value` | `withLocale(Locale l)`
    `JsonFormat.Value` | `withPattern(String p)`
    `JsonFormat.Value` | `withShape(JsonFormat.Shape s)`
    `JsonFormat.Value` | `withTimeZone(TimeZone tz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonFormat.Value

          public JsonFormat.Value()

    - #### JsonFormat.Value

          public JsonFormat.Value(JsonFormat ann)

    - #### JsonFormat.Value

          public JsonFormat.Value(String p,
                          JsonFormat.Shape sh,
                          String localeStr,
                          String tzStr)

    - #### JsonFormat.Value

          public JsonFormat.Value(String p,
                          JsonFormat.Shape sh,
                          Locale l,
                          TimeZone tz)

      Since:
        2.1

    - #### JsonFormat.Value

          public JsonFormat.Value(String p,
                          JsonFormat.Shape sh,
                          Locale l,
                          String tzStr,
                          TimeZone tz)

      Since:
        2.4

  - ### Method Detail

    - #### withPattern

          public JsonFormat.Value withPattern(String p)

      Since:
        2.1

    - #### withShape

          public JsonFormat.Value withShape(JsonFormat.Shape s)

      Since:
        2.1

    - #### withLocale

          public JsonFormat.Value withLocale(Locale l)

      Since:
        2.1

    - #### withTimeZone

          public JsonFormat.Value withTimeZone(TimeZone tz)

      Since:
        2.1

    - #### getPattern

          public String getPattern()

    - #### getShape

          public JsonFormat.Shape getShape()

    - #### getLocale

          public Locale getLocale()

    - #### timeZoneAsString

          public String timeZoneAsString()

      Alternate access (compared to `getTimeZone()`) which is useful when caller just wants time zone id to convert, but not as JDK provided `TimeZone`
      Since:
        2.4

    - #### getTimeZone

          public TimeZone getTimeZone()

    - #### hasShape

          public boolean hasShape()

      Since:
        2.4

    - #### hasPattern

          public boolean hasPattern()

      Since:
        2.4

    - #### hasLocale

          public boolean hasLocale()

      Since:
        2.4

    - #### hasTimeZone

          public boolean hasTimeZone()

      Since:
        2.4

Copyright © 2014-2015 FasterXML. All Rights Reserved.